import React from 'react';
import type { AdminChildren, CustomRoutesProps, RenderResourcesFunction, ResourceProps } from 'react-admin';
export declare const getSingleChildFunction: (children: AdminChildren) => RenderResourcesFunction | null;
export declare const isSingleChildFunction: (children: AdminChildren) => children is RenderResourcesFunction;
/**
 * Inspect the children and return an object with the following keys:
 * - customRoutes: an array of the custom routes
 * - resources: an array of resources elements
 */
declare const getRoutesAndResourcesFromNodes: (children: AdminChildren) => {
    customRoutes: React.ReactElement<CustomRoutesProps, string | React.JSXElementConstructor<any>>[];
    resources: React.ReactElement<ResourceProps, string | React.JSXElementConstructor<any>>[];
};
export default getRoutesAndResourcesFromNodes;
//# sourceMappingURL=getRoutesAndResourcesFromNodes.d.ts.map