import AutoStoriesIcon from '@mui/icons-material/AutoStories';
import ReviewsIcon from '@mui/icons-material/Reviews';
import React from 'react';
import { HydraAdmin } from '../../hydra';
import ResourceGuesser from '../../core/ResourceGuesser';
import ListGuesser from '../../list/ListGuesser';
import ShowGuesser from '../../show/ShowGuesser';
import FieldGuesser from '../../field/FieldGuesser';
import EditGuesser from '../../edit/EditGuesser';
import InputGuesser from '../../input/InputGuesser';
import CreateGuesser from '../../create/CreateGuesser';
export default {
    title: 'Admin/Custom/UsingGuessers',
    parameters: {
        layout: 'fullscreen',
    },
};
const BookCreate = () => (React.createElement(CreateGuesser, null,
    React.createElement(InputGuesser, { source: "isbn", label: "ISBN" }),
    React.createElement(InputGuesser, { source: "title" }),
    React.createElement(InputGuesser, { source: "description", multiline: true }),
    React.createElement(InputGuesser, { source: "author" }),
    React.createElement(InputGuesser, { source: "publicationDate" })));
const BookEdit = () => (React.createElement(EditGuesser, { warnWhenUnsavedChanges: true },
    React.createElement(InputGuesser, { source: "isbn", label: "ISBN" }),
    React.createElement(InputGuesser, { source: "title" }),
    React.createElement(InputGuesser, { source: "description", multiline: true }),
    React.createElement(InputGuesser, { source: "author" }),
    React.createElement(InputGuesser, { source: "publicationDate" })));
const BookShow = () => (React.createElement(ShowGuesser, null,
    React.createElement(FieldGuesser, { source: "isbn", label: "ISBN" }),
    React.createElement(FieldGuesser, { source: "title" }),
    React.createElement(FieldGuesser, { source: "description" }),
    React.createElement(FieldGuesser, { source: "author" }),
    React.createElement(FieldGuesser, { source: "publicationDate" }),
    React.createElement(FieldGuesser, { source: "reviews" })));
const BookList = () => (React.createElement(ListGuesser, { sort: { field: 'publicationDate', order: 'DESC' } },
    React.createElement(FieldGuesser, { source: "isbn", label: "ISBN" }),
    React.createElement(FieldGuesser, { source: "title" }),
    React.createElement(FieldGuesser, { source: "author" }),
    React.createElement(FieldGuesser, { source: "publicationDate" }),
    React.createElement(FieldGuesser, { source: "reviews" })));
const ReviewCreate = () => (React.createElement(CreateGuesser, null,
    React.createElement(InputGuesser, { source: "author" }),
    React.createElement(InputGuesser, { source: "book" }),
    React.createElement(InputGuesser, { source: "body", multiline: true }),
    React.createElement(InputGuesser, { source: "rating" }),
    React.createElement(InputGuesser, { source: "publicationDate", readOnly: true, defaultValue: new Date() })));
const ReviewEdit = () => (React.createElement(EditGuesser, null,
    React.createElement(InputGuesser, { source: "author" }),
    React.createElement(InputGuesser, { source: "book" }),
    React.createElement(InputGuesser, { source: "body", multiline: true }),
    React.createElement(InputGuesser, { source: "rating" }),
    React.createElement(InputGuesser, { source: "publicationDate", readOnly: true })));
const ReviewShow = () => (React.createElement(ShowGuesser, null,
    React.createElement(FieldGuesser, { source: "author" }),
    React.createElement(FieldGuesser, { source: "book" }),
    React.createElement(FieldGuesser, { source: "body" }),
    React.createElement(FieldGuesser, { source: "rating" }),
    React.createElement(FieldGuesser, { source: "publicationDate" })));
const ReviewList = () => (React.createElement(ListGuesser, { sort: { field: 'publicationDate', order: 'DESC' } },
    React.createElement(FieldGuesser, { source: "author" }),
    React.createElement(FieldGuesser, { source: "book" }),
    React.createElement(FieldGuesser, { source: "rating" }),
    React.createElement(FieldGuesser, { source: "publicationDate" })));
export const UsingGuessers = () => (React.createElement(HydraAdmin, { entrypoint: process.env.ENTRYPOINT },
    React.createElement(ResourceGuesser, { name: "books", list: BookList, show: BookShow, edit: BookEdit, create: BookCreate, icon: AutoStoriesIcon }),
    React.createElement(ResourceGuesser, { name: "reviews", list: ReviewList, show: ReviewShow, edit: ReviewEdit, create: ReviewCreate, icon: ReviewsIcon })));
//# sourceMappingURL=UsingGuessers.stories.js.map